variables:
  CI_CONFIG_VERSION: v4.19.1

include:
  - project: 'rxap/gitlab-ci'
    ref: v4.19.1
    file: '/templates/docker/build.yml'
  - project: 'rxap/gitlab-ci'
    ref: v4.19.1
    file: '/templates/firebase/deploy.yml'

stages:
  - build
  - container
  - deploy

build:
  stage: build
  image: registry.gitlab.com/rxap/gitlab-ci/angular-build:${CI_CONFIG_VERSION}
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  before_script:
    - yarn --prefer-offline
  artifacts:
    paths:
      - dist
    expire_in: 1 days
  script:
    - yarn build --prod
  cache:
    key:
      files:
        - yarn.lock
    paths:
      - node_modules/
    policy: pull

build:container:
  extends: .docker:build
  needs:
    - build

pwa:deploy:
  tags:
    - script
  extends: .deploy
  needs:
    - build
